Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.decision
Class DecisionMakerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.mdm.index.master.EViewException
                  com.sun.mdm.index.master.ProcessingException
                      com.sun.mdm.index.decision.DecisionMakerException

All Implemented Interfaces:
  java.io.Serializable

public class DecisionMakerException
extends ProcessingException

Decision Maker Exception

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`DecisionMakerException()` Creates a new instance of `DecisionMakerException` without detail message.
`DecisionMakerException(java.lang.String msg)` Constructs an instance of `DecisionMakerException` with the specified detail message.
`DecisionMakerException(java.lang.String msg, java.lang.Throwable t)` Constructor
`DecisionMakerException(java.lang.Throwable t)` Constructor

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DecisionMakerException

    public DecisionMakerException()

  Creates a new instance of `DecisionMakerException` without detail message.

### DecisionMakerException

    public DecisionMakerException(java.lang.String msg)

  Constructs an instance of `DecisionMakerException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### DecisionMakerException

    public DecisionMakerException(java.lang.String msg,
                                  java.lang.Throwable t)

  Constructor

  Parameters:
    `msg` - error message
    `t` - chained exception

### DecisionMakerException

    public DecisionMakerException(java.lang.Throwable t)

  Constructor

  Parameters:
    `t` - chained exception

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.